Subject: Re: [PATCH 2/5] Documentation: explain how to check for patch corruption

From: Junio C Hamano <[email-masked]>
Date: Thu, 14 Apr 2011 21:53:56 -0700

Jonathan Nieder <[email-masked]> writes:

> SubmittingPatches has some excellent advice about how to check a patch
> for corruption before sending it off.  Move it to the format-patch
> manual so it can be installed with git's documentation for use by
> people not necessarily interested in the git project's practices.
>
> Signed-off-by: Jonathan Nieder <[email-masked]>
> ---
>  Documentation/SubmittingPatches    |   58 ++++++++---------------------------
>  Documentation/git-format-patch.txt |   46 ++++++++++++++++++++++++++++
>  2 files changed, 60 insertions(+), 44 deletions(-)
>
> diff --git a/Documentation/SubmittingPatches b/Documentation/SubmittingPatches
> index c6a5032..20b4101 100644
> --- a/Documentation/SubmittingPatches
> +++ b/Documentation/SubmittingPatches
> @@ -344,50 +344,20 @@ MUA specific hints
>  
>  Some of patches I receive or pick up from the list share common
>  patterns of breakage.  Please make sure your MUA is set up
> +properly not to corrupt whitespaces.
> +
> +See the DISCUSSION section of git-format-patch(1) for hints on
> +checking your patch by mailing it to yourself and applying with
> +git-am(1).
> +
> +While you are at it, check the resulting commit log message from
> +a trial run of applying the patch.  If what is in the resulting
> +commit is not exactly what you would want to see, it is very
> +likely that your maintainer would end up hand editing the log
> +message when he applies your patch.  Things like "Hi, this is my
> +first patch.\n", if you really want to put in the patch e-mail,
> +should come after the three-dash line that signals the end of the
> +commit message.

Perhaps the last paragraph can also go, as a copy of it now is in git-am(1)?

> diff --git a/Documentation/git-format-patch.txt b/Documentation/git-format-patch.txt
> index a4a9813..5c60418 100644
> --- a/Documentation/git-format-patch.txt
> +++ b/Documentation/git-format-patch.txt
> @@ -286,6 +286,52 @@ title is likely to be different from the subject
> +One way to test if your MUA is set up correctly is:
> +
> +* Send the patch to yourself, exactly the way you would, except
> +  with To: and Cc: lines that do not contain the list and
> +  maintainer address.

... "except for removing other people from To: and Cc: lines to avoid
spamming them with your test"?